Subject: Re: [Patch net-next] net_sched: hold tcf_lock in netdevice notifier

From: Jamal Hadi Salim <[email-masked]>
Date: Sat, 19 Jul 2014 18:02:13 -0400

On 07/18/14 03:08, Eric Dumazet wrote:
> On Thu, 2014-07-17 at 22:51 -0700, Cong Wang wrote:
>
> If this conversion was already done by John, I would have pointed the
> patch to finalize.
>
> There is nothing fundamental that requires this spinlock being held in
> fast path.
>
> It is perfectly possible to remove this, and first step is to use RCU,
> then percpu counters.
>

I think rcufication would help in some the shared action instances.
Note: post John's rcu-fication of classifier path this is not an
issue i.e
the most common use case default behavior (majority) is no sharing of
instances - in such a case there is no lock contention.

cheers,
jamal